using Library;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UnitTests
{
    [TestClass]
    public class ApiTests
    {
        [TestMethod]
        public async Task ApiRequestDecodingTheLinearLayout()
        {
            var response = await ApiMethods.ApiRequestDecodingTheLinearLayout("Тройка мечей","Двойка пентакли","Королева мечей","Паж жезлов","Шут","Как сложатся отношения с коллегами на новой работе");

            Assert.IsNotNull(response);
        }
        [TestMethod]
        public async Task ApiRequestDecodingTextRequest()
        {
            var response = await ApiMethods.ApiRequestDecodingTextRequest("Что означает карта тройка мечей?");

            Assert.IsNotNull(response);
        }
    }
}
